classification
Title: Update version number in __init__.py
Type: behavior Stage:
Components: Distutils Versions: Python 3.0, Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: akitada, jlp, lemburg, tarek, theller
Priority: low Keywords: easy

Created on 2008-01-15 17:21 by jlp, last changed 2009-02-06 11:22 by lemburg. This issue is now closed.

Messages (9)
msg59974 - (view) Author: Jacques Lemire (jlp) Date: 2008-01-15 17:21
In the distutils directory the file __init__.py is not updated to 3.0.
msg59977 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-01-15 17:46
The comment indicates it's not automatic that the version number follows
the Python release number.

Assigning to MAL who wants to coordinated this according to that same
comment.
msg59978 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2008-01-15 17:51
The version number should only be bumped for major enhancements to
distutils or backwards incompatible changes.

Have there been any such changes ?
msg80950 - (view) Author: Akira Kitada (akitada) * Date: 2009-02-02 16:43
It seems the version number has been bumped now.
Was it okay?
msg80953 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2009-02-02 16:55
The distutils version number is now updated automatically by the Python
release process, so the comment in that file can be removed.
msg80958 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-02 17:05
I'll change the comment explaining how things work now.
msg81187 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-05 09:11
fixed on r69285
msg81213 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2009-02-05 13:23
> The distutils version number is now updated automatically by the Python
> release process, so the comment in that file can be removed.

How does this mechanism work?  I'm wondering if I should use a similar
mechanism for the ctypes version number...
msg81260 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2009-02-06 11:22
On 2009-02-05 14:23, Thomas Heller wrote:
> Thomas Heller <theller@ctypes.org> added the comment:
> 
>> The distutils version number is now updated automatically by the Python
>> release process, so the comment in that file can be removed.
> 
> How does this mechanism work?  I'm wondering if I should use a similar
> mechanism for the ctypes version number...

This is done by Barry's release.py script:

http://svn.python.org/view/sandbox/trunk/release/release.py

in bump().
History
Date User Action Args
2009-02-06 11:22:04lemburgsetmessages: + msg81260
2009-02-05 13:23:45thellersetnosy: + theller
messages: + msg81213
2009-02-05 09:11:27tareksetstatus: open -> closed
messages: + msg81187
2009-02-02 17:23:35gvanrossumsetnosy: - gvanrossum
2009-02-02 17:05:09tareksetassignee: lemburg -> tarek
messages: + msg80958
2009-02-02 16:55:19lemburgsetmessages: + msg80953
2009-02-02 16:43:05akitadasetnosy: + tarek, akitada
messages: + msg80950
2008-01-15 17:51:10lemburgsetmessages: + msg59978
2008-01-15 17:46:52gvanrossumsetversions: + Python 2.6
nosy: + gvanrossum, lemburg
messages: + msg59977
priority: low
assignee: lemburg
keywords: + easy
2008-01-15 17:21:09jlpcreate